
From: Andrey Panin <pazke@donpac.ru>

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/hamradio/baycom_epp.c |    6 +++---
 25-akpm/drivers/net/hamradio/hdlcdrv.c    |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/net/hamradio/baycom_epp.c~crc16-renaming-in-ax25-drivers drivers/net/hamradio/baycom_epp.c
--- 25/drivers/net/hamradio/baycom_epp.c~crc16-renaming-in-ax25-drivers	Thu Jul  8 15:15:07 2004
+++ 25-akpm/drivers/net/hamradio/baycom_epp.c	Thu Jul  8 15:15:07 2004
@@ -58,7 +58,7 @@
 /* prototypes for ax25_encapsulate and ax25_rebuild_header */
 #include <net/ax25.h> 
 #endif /* CONFIG_AX25 || CONFIG_AX25_MODULE */
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 
 /* --------------------------------------------------------------------- */
 
@@ -281,14 +281,14 @@ static inline void append_crc_ccitt(unsi
 
 static inline int check_crc_ccitt(const unsigned char *buf, int cnt)
 {
-	return (crc16(0xffff, buf, cnt) & 0xffff) == 0xf0b8;
+	return (crc_ccitt(0xffff, buf, cnt) & 0xffff) == 0xf0b8;
 }
 
 /*---------------------------------------------------------------------------*/
 
 static inline int calc_crc_ccitt(const unsigned char *buf, int cnt)
 {
-	return (crc16(0xffff, buf, cnt) ^ 0xffff) & 0xffff;
+	return (crc_ccitt(0xffff, buf, cnt) ^ 0xffff) & 0xffff;
 }
 
 /* ---------------------------------------------------------------------- */
diff -puN drivers/net/hamradio/hdlcdrv.c~crc16-renaming-in-ax25-drivers drivers/net/hamradio/hdlcdrv.c
--- 25/drivers/net/hamradio/hdlcdrv.c~crc16-renaming-in-ax25-drivers	Thu Jul  8 15:15:07 2004
+++ 25-akpm/drivers/net/hamradio/hdlcdrv.c	Thu Jul  8 15:15:07 2004
@@ -66,7 +66,7 @@
 #include <linux/ip.h>
 #include <linux/udp.h>
 #include <linux/tcp.h>
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 
 /* --------------------------------------------------------------------- */
 
@@ -105,7 +105,7 @@ static char ax25_nocall[AX25_ADDR_LEN] =
 
 static inline void append_crc_ccitt(unsigned char *buffer, int len)
 {
- 	unsigned int crc = crc16(0xffff, buffer, len) ^ 0xffff;
+ 	unsigned int crc = crc_ccitt(0xffff, buffer, len) ^ 0xffff;
 	*buffer++ = crc;
 	*buffer++ = crc >> 8;
 }
@@ -114,7 +114,7 @@ static inline void append_crc_ccitt(unsi
 
 static inline int check_crc_ccitt(const unsigned char *buf, int cnt)
 {
-	return (crc16(0xffff, buf, cnt) & 0xffff) == 0xf0b8;
+	return (crc_ccitt(0xffff, buf, cnt) & 0xffff) == 0xf0b8;
 }
 
 /*---------------------------------------------------------------------------*/
_
